package com.example.springip.lab3.dto;

import com.example.springip.lab3.models.Company;
import com.example.springip.lab3.models.Employee;

import java.util.ArrayList;
import java.util.List;

public class CompanyDto {
    private final Long Id;
    private final String name;
    private final List<EmployeeDto> employees;

    public CompanyDto(Company company) {
        Id = company.getId();
        this.name = company.getName();
        this.employees = company.getEmployees().stream().map(EmployeeDto::new).toList();
    }

    public Long getId() {
        return Id;
    }

    public String getName() {
        return name;
    }

    public List<EmployeeDto> getEmployees() {
        return employees;
    }
}
